#ifndef QGSTREAMERPLAYER2_H
#define QGSTREAMERPLAYER2_H

#include "qgstreamerplayer.h"

class QGstreamerPlayer2 : public QGstreamerPlayer
{
    Q_OBJECT
public:
    explicit QGstreamerPlayer2(QObject *parent = nullptr);
    virtual ~QGstreamerPlayer2();

    virtual void SaveFile(QString strFilename);
    virtual void SaveEnd();

    virtual int OpenCamera(QString strVideoDevice);

signals:

};

#endif // QGstreamerPlayer2_H
